---
apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: jhub-{{ cluster_name }}
  namespace: argocd
  labels:
    tier: frontend
    environment: production
spec:
  project: jupyterhub
  source:
    repoURL: 'https://{{ gitlab_jhub_authtoken }}{{ gitlab_jhub_path }}'
    path: deployments/{{ item.name }}
  destination:
    server: 'https://kubernetes.default.svc'
